Bug 26215 - Remove the use of jquery.checkboxes plugin from Z39.50 search pages
Summary: Remove the use of jquery.checkboxes plugin from Z39.50 search pages
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26006
  Show dependency treegraph
 
Reported: 2020-08-14 15:14 UTC by Owen Leonard
Modified: 2020-09-10 03:40 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.04


Attachments
Bug 26215: Remove the use of jquery.checkboxes plugin from Z39.50 search pages (3.92 KB, patch)
2020-08-14 15:30 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26215: Remove the use of jquery.checkboxes plugin from Z39.50 search pages (3.96 KB, patch)
2020-08-17 15:37 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 26215: Remove the use of jquery.checkboxes plugin from Z39.50 search pages (4.04 KB, patch)
2020-08-17 21:31 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-08-14 15:14:49 UTC
As described in Bug 26006 the jquery.checkboxes plugin is old and unmaintained. 

Its use should be replaced on Z39.50 search pages:

 - acqui/z3950_search.tt
 - cataloguing/z3950_auth_search.tt
 - cataloguing/z3950_search.tt
Comment 1 Owen Leonard 2020-08-14 15:30:41 UTC Comment hidden (obsolete)
Comment 2 Amit Gupta 2020-08-17 15:37:27 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2020-08-17 21:31:26 UTC
Created attachment 108417 [details] [review]
Bug 26215: Remove the use of jquery.checkboxes plugin from Z39.50 search pages

This patch removes the use of the jquery.checkboxes plugin from three
Z39.50 search templates: Acquisitions, Authorities, and Cataloging.

To test, apply the patch and test the controls for selecting and
deselecting Z39.50 search targets on the following pages:

 - In Acquisitions: Locate a vendor and add to basket -> From an
   external source.
 - In Authorities: Click "New authority" -> "New from Z39.50/SRU."
 - In Cataloging: Click "New from Z39.50/SRU."

Signed-off-by: Amit Gupta <amit.gupta@informaticsglobal.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-08-18 15:48:21 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-09-04 15:15:15 UTC
backported to 20.05.x for 20.05.04
Comment 6 Aleisha Amohia 2020-09-10 03:40:31 UTC
enhancement, not backported to 19.11.x